<?php

class test_AllTestsSuite extends GroupTest {
    public function __construct($reporter) {
        parent::__construct("All tests");

        require_once("test_service_base.php");
        $this->addTestCase(new ServiceBaseTest());

        require_once("test_dispatch_service.php");
        $this->addTestCase(new DispatchServiceTest());

        require_once("test_props.php");
        $this->addTestCase(new PropsTest());

        require_once("test_session_storage_fs.php");
        $this->addTestCase(new test_lib_SimpleObjectStorageTest($reporter));

        require_once("test_util.php");
        $this->addTestCase(new UtilTest());

        require_once("test_post_data.php");
        $this->addTestCase(new PostDataTest());

        require_once("test_url_template.php");
        $this->addTestCase(new UrlTemplateTest());

        require_once("test_lib_RelayStateTest.php");
        $this->addTestCase(new test_lib_RelayStateTest());

        require_once("test_lib_SimpleSignTest.php");
        $this->addTestCase(new test_lib_SimpleSignTest());

        require_once("test_abstract.php");
        $this->addTestCase(new SimpleObjectTest());

        require_once("test_SpUser.php");
        $this->addTestCase(new SpUserTest());

        require_once("test_Federation.php");
        $this->addTestCase(new FederationTest());

        require_once("test_SP_CertificateAuthTest.php");
        $this->addTestCase(new test_SP_CertificateAuthTest());

        require_once("test_Session.php");
        $this->addTestCase(new SessionTest());

        require_once("test_Delegation.php");
        $this->addTestCase(new DelegationTest());

        require_once("test_SAMLSign.php");
        $this->addTestCase(new SAMLSignTest());

        require_once("test_libXml.php");
        $this->addTestCase(new test_libXml());
    }
}

?>