<?php
require_once('testcase_header.php');
require_once('lib/Xml.php');

class test_libXml extends UnitTestCase {

	function testGenXml0() {
		$this->assertEqual('<qqq/>', lib_XML::elm('qqq'));
	}

    function testGenXml1() {
		$this->assertEqual('<qqq>a</qqq>', lib_XML::elm('qqq', array(), 'a'));
	}

    function testGenXml2() {
		$this->assertEqual('<qqq at1="">a</qqq>', lib_XML::elm('qqq', array('at1'=>''), 'a'));
	}

    function testGenXml3() {
		$this->assertEqual(
			'<qqq at1="" et="cetera"/>',
		    lib_XML::elm(
		    	'qqq',
		        array(
		        	'at1'=>'',
		        	'et'=>'cetera')));
	}

	function testGenXml4() {
        $this->assertEqual('<qqq at1>a</qqq>', lib_XML::elm('qqq', array('at1'=>null), 'a'));
    }

}

//$t = new test_libXml();
//$t->run(new TextReporter());

?>