<?php
require_once('testcase_header.php');
require_once('lib/SimpleSign.php');

class test_lib_SimpleSignTest extends UnitTestCase {

	function testConstruct() {
	    try {
            $signer = new lib_SimpleSign('');
            $this->fail('Exception expected');
	    } catch (Exception $e) {
	       //Expected
	    }
	}

	function testSign() {
	    $texts = array('', 'asdfsadf', "`123021934785lks\ndfbgnbx^KHG^$^%#!~DFJHBHG)^&*&^\n%$^%\$E");
        $signer = new lib_SimpleSign('khjg9876qiu4yw23gkjhqw234g');
        foreach ($texts as $txt) {
            $this->assertTrue($signer->verify($txt, $signer->sign($txt)));
            $this->assertFalse($signer->verify($txt . ' and send me $10000', $signer->sign($txt)));
        }
	}
}

//$t = new test_lib_SimpleSignTest();
//$t->run(new TextReporter());

?>