<?php
/*
 * This file provides default environment for testcases.
 */

set_include_path(
    get_include_path() . PATH_SEPARATOR . '..' . PATH_SEPARATOR . '.');
//
//echo get_include_path();
require_once('lib/Config.php');
require_once('test/simpletest/unit_tester.php');
require_once('test/simpletest/mock_objects.php');
error_reporting(E_ALL);
assert_options(ASSERT_ACTIVE, true);
assert_options(ASSERT_WARNING, true);
assert_options(ASSERT_BAIL, true);

assert_options( ASSERT_CALLBACK, 'assert_callback');

function assert_callback( $script, $line, $message, $a, $b, $c ) {
	echo ('ASSERTION FAILED: ' . $script . ' (' . $line . '): ' . $message . "\n");
	debug_print_backtrace ();
}

$default_sso_configuration->log_file = './sso_testing.log';

?>