<?
error_reporting(E_ALL);
require_once("base/service_base.php");
require_once("base/response.php");


class ToyService extends ServiceBase {

	public $name = "";

	public $request_history = array();

	public function __construct($name) {
		$this->name = $name;
	}

	public function process_request(Request $request) {
		array_push($this->request_history, $request);
		return ServiceBase::process_request($request);
	}

	private function saySomething($method_name, $arg) {
		$r = new Response();
		$r->body = "<pre>service name = " . $this->name . "; method=" . $method_name . "; request=" . print_r($arg, true) . "</br>";
		return $r;
	}

	function doGET(Request $request) {
		return $this->saySomething("GET", $request);
	}

	function doPOST(Request $request) {
		return $this->saySomething("POST", $request);
	}
}

?>